* [完全菜鸟指南](newbs.md)
  * [入门](newbs_getting_started.md)
  * [构建你的第一个固件](newbs_building_firmware.md)
  * [刷新固件](newbs_flashing.md)
  * [测试和调试](newbs_testing_debugging.md)
  * [Git最佳实践](newbs_best_practices.md)
  * [学习资源](newbs_learn_more_resources.md)

* [QMK基础](README.md)
  * [QMK简介](getting_started_introduction.md)
  * [向QMK贡献](contributing.md)
  * [如何使用Github](getting_started_github.md)
  * [获得帮助](getting_started_getting_help.md)

* [问题解答](faq.md)
  * [一般问题](faq_general.md)
  * [构建/编译](faq_build.md)
  * [调试/故障排除](faq_debug.md)
  * [键盘映射](faq_keymap.md)

* 详细指南
  * [安装构建工具](getting_started_build_tools.md)
  * [vagrant指南](getting_started_vagrant.md)
  * [构建/编译指令](getting_started_make_guide.md)
  * [刷新固件](flashing.md)
  * [定制功能](custom_quantum_functions.md)
  * [映射概述](keymap.md)

* [硬件](hardware.md)
  * [AVR处理器](hardware_avr.md)
  * [驱动](hardware_drivers.md)

* 参考
  * [键盘指南](hardware_keyboard_guidelines.md)
  * [配置选项](config_options.md)
  * [键码](keycodes.md)
  * [记录最佳实践](documentation_best_practices.md)
  * [文档模板](documentation_templates.md)
  * [术语表](reference_glossary.md)
  * [单元测试](unit_testing.md)
  * [有用的功能](ref_functions.md)
  * [配置器支持](reference_configurator_support.md)
  * [info.json 格式](reference_info_json.md)

* [特性](features.md)
  * [基本键码](keycodes_basic.md)
  * [US ANSI控制码](keycodes_us_ansi_shifted.md)
  * [量子键码](quantum_keycodes.md)
  * [高级键码](feature_advanced_keycodes.md)
  * [音频](feature_audio.md)
  * [自动shift](feature_auto_shift.md)
  * [背光](feature_backlight.md)
  * [蓝牙](feature_bluetooth.md)
  * [热改键](feature_bootmagic.md)
  * [组合](feature_combo)
  * [命令](feature_command.md)
  * [拨动开关](feature_dip_switch.md)
  * [动态宏指令](feature_dynamic_macros.md)
  * [编码器](feature_encoders.md)
  * [重音号Esc复合键](feature_grave_esc.md)
  * [自锁键](feature_key_lock.md)
  * [布局](feature_layouts.md)
  * [前导键](feature_leader_key.md)
  * [LED阵列](feature_led_matrix.md)
  * [宏指令](feature_macros.md)
  * [鼠标键](feature_mouse_keys.md)
  * [一键功能](feature_advanced_keycodes.md#one-shot-keys)
  * [指针设备](feature_pointing_device.md)
  * [PS/2鼠标](feature_ps2_mouse.md)
  * [RGB灯光](feature_rgblight.md)
  * [RGB矩阵](feature_rgb_matrix.md)
  * [空格候补换挡](feature_space_cadet_shift.md)
  * [空格候补换挡回车](feature_space_cadet_shift_enter.md)
  * [速录机](feature_stenography.md)
  * [换手](feature_swap_hands.md)
  * [多击键](feature_tap_dance.md)
  * [终端](feature_terminal.md)
  * [热敏打印机](feature_thermal_printer.md)
  * [Unicode](feature_unicode.md)
  * [用户空间](feature_userspace.md)
  * [速度键](feature_velocikey.md)

* 针对制造者和定制者
  * [手工连线指南](hand_wire.md)
  * [ISP刷新指南](isp_flashing_guide.md)
  * [ARM调试指南](arm_debugging.md)
  * [I2C驱动](i2c_driver.md)
  * [GPIO控制器](internals_gpio_control.md)
  * [Proton C转换](proton_c_conversion.md)

* 深入了解
  * [键盘如何工作](how_keyboards_work.md)
  * [理解QMK](understanding_qmk.md)

* 其他话题
  * [使用Eclipse开发QMK](other_eclipse.md)
  * [使用VSCode开发QMK](other_vscode.md)
  * [支持](support.md)

* QMK 内构 (正在编写)
  * [定义](internals_defines.md)
  * [输入回调寄存器](internals_input_callback_reg.md)
  * [Midi设备](internals_midi_device.md)
  * [Midi设备设置过程](internals_midi_device_setup_process.md)
  * [Midi工具库](internals_midi_util.md)
  * [发送函数](internals_send_functions.md)
  * [Sysex工具](internals_sysex_tools.md)
